/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PDR-LIB.
 *
 *	PDR-LIB is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PDR-LIB is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PDR-LIB.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.padre.test;

import org.bbaw.pdr.padre.PadreConfiguration;
import org.bbaw.pdr.padre.PadreCreateProject;
import org.bbaw.pdr.padre.client.PadreClient;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

/**
*
* @author Fabian Körner
*/
public class TestPadreCreateProject
{

	private static final TestConfiguration CONFIGURATION = new TestConfigurationFromFile();

	private static PadreClient _padreClient;

	/**
	 * @throws Exception Exception.
	 */
	@BeforeClass
	public static void setUp() throws Exception
	{
		PadreConfiguration.getInstance().setCredentials(CONFIGURATION.getUri(), CONFIGURATION.getUsername(), CONFIGURATION.getPassword());
		_padreClient = PadreConfiguration.getInstance().getPadreClient();

		_padreClient.createStore("31e");

	}

	/**
	 * @throws Exception Exception.
	 */
	@AfterClass
	public static void tearDown() throws Exception
	{
		_padreClient.deleteStore("31e");
		_padreClient.deleteStore("315");
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test
	public final void testCreateProject() throws Exception
	{
		new PadreCreateProject(789).execute();
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(expected = org.bbaw.pdr.padre.PadreCommandException.class)
	public final void testCreateExistingProject() throws Exception
	{
		new PadreCreateProject(798).execute();
	}

}
